Subject: bug#9532: 24.0.50; `special-display-regexps' is no longer respected

From: Stefan Monnier <[email-masked]>
Date: Tue, 08 Nov 2011 08:26:28 -0500

> I redefine `switch-to-buffer' in my code so that it autofits the frame to the
> buffer content.  My redefinition (so far) keeps the original (Emacs 20...23)
> signature, however: (switch-to-buffer BUFFER &optional NORECORD)

If you don't like such breakage, better use an around-advice than
a redefinition (it won't protect you from all such breakages, but it'll help).

> Is this really the way things will be?

Yes.

> it?  What used to be simple and symmetric is now quite kludgy, no?  Why is
> `pop-up-windows' still blessed but `pop-up-frames' verboten?

It's not blessed and neither is the other verboten.  Both are obsolete.

        Stefan